Subject: bug#31901: Incorrect make-network-process + nowait state handling for non-existing unix sockets in emacs-26.1

From: Noam Postavsky <[email-masked]>
Date: Mon, 06 Aug 2018 16:36:28 -0400

Mike Kazantsev <[email-masked]> writes:

> On Sun, 22 Jul 2018 21:42:07 +0500
> Mike Kazantsev <[email-masked]> wrote:
>
>> == How it works in current emacs-git [8f3bca3ad51]:
>> 
>>   (make-network-process
>>     ...
>>     :family 'local
>>     :service "/tmp/does-not-exist.sock"
>>     :nowait t
>>     :sentinel #'unix-socket-test-func)
>> 
>>   => #<process unix-socket-test>  
>>   [sentinel never called]
>> 
>>   (process-live-p socket) => nil
>>   (process-status socket) => 'file-missing
>> 
>> Note that this is:
>> 
>> - Not consistent with what emacs did before this bug.
>
> After sending previous mail, realized that maybe it is consistent with
> emacs 26.0 or similar version before the bug which I've never tested,
> where change was made to behave exactly like that, but then this bug
> changed it again.

I believe the behaviour changed with the introduction of the bug (by the
way, Emacs releases are XX.y where y > 1, so there was never a 26.0
release).

So the situation is not ideal, but I do think that it's acceptable as a
compromise.  Shall we backport and close the bug?